/*
 *  ======== AppCommon.h ========
 *  
 *
 */
#ifndef AppCommon__include
#define AppCommon__include


#if defined (__cplusplus)
extern "C" {
#endif

/*
 *  ======== Application Configuration ========
 */

/* notify commands 00 - FF */
#define App_CMD_MASK            0xFF000000
#define App_CMD_NOP             0x00000000  /* cc------ */
#define App_CMD_ACK             0x01000000  /* cc------ */
#define App_CMD_SHUTDOWN        0x02000000  /* cc------ */
#define App_CMD_PROCESS         0x03000000  /* cc------ */
#define App_CMD_DONE            0x04000000  /* cc------ */
#define App_CMD_ADDR_HI         0x05000000  /* cc--hhhh */
#define App_CMD_ADDR_LO         0x06000000  /* cc--llll */
#define App_CMD_SIZE            0x07000000  /* cc--ssss */
#define App_CMD_FINISH          0x08000000  /* cc-------*/

#define App_CMD_RESRDY          0x09000000  /* cc-------*/
#define App_CMD_READY           0x0A000000  /* cc-------*/
#define App_CMD_SDACK           0x0B000000  /* cc-------*/
#define App_CMD_CLOSED          0x0C000000  /* cc-------*/
#define App_CMD_DATAREQ         0x0D000000  /* cc-------*/

#define App_CMD_ANY             0xFF000000
#define App_E_OVERFLOW          0xFE000000
#define App_E_FAILURE           0xF0000000


typedef struct {
    MessageQ_MsgHeader  reserved;
    UInt32              cmd;
    SharedRegion_SRPtr  buf;
} App_Msg;

#define App_MsgHeapName         "MsgHeap:1"
#define App_MsgHeapSrId         1
#define App_MsgHeapId           1
#define App_HostMsgQueName      "HOST:MsgQ:01"
#define App_DspMsgQueName       "DSP:MsgQ:01"


#if defined (__cplusplus)
}
#endif /* defined (__cplusplus) */
#endif /* AppCommon__include */
