#
#  ======== products.mak ========
#

DEPOT = $(word 1, $(subst /examples, /examples,$(CURDIR)))/Depot

BIOS_INSTALL_DIR        = $(DEPOT)/bios_6_33_00_19
IPC_INSTALL_DIR         = $(DEPOT)/ipc_1_23_01_26
SYSLINK_INSTALL_DIR     = $(DEPOT)/syslink_2_10_01_15
TI_C6X_INSTALL_DIR      = $(DEPOT)/ti_c6x_7_2_2
CS_ARM_INSTALL_DIR      = $(DEPOT)/cs_arm_2009q1_203/bin/arm-none-linux-gnueabi-
XDC_INSTALL_DIR         = $(DEPOT)/xdctools_3_23_00_32

PKGPATH := $(SYSLINK_INSTALL_DIR)/packages
PKGPATH := $(PKGPATH)+$(BIOS_INSTALL_DIR)/packages
PKGPATH := $(PKGPATH)+$(IPC_INSTALL_DIR)/packages
PKGPATH := $(PKGPATH)+$(XDC_INSTALL_DIR)/packages


# Use this goal to print your product variables.
.show-products:
	@echo "BIOS_INSTALL_DIR         = $(BIOS_INSTALL_DIR)"
	@echo "IPC_INSTALL_DIR          = $(IPC_INSTALL_DIR)"
	@echo "SYSLINK_INSTALL_DIR      = $(SYSLINK_INSTALL_DIR)"
	@echo "TI_C6X_INSTALL_DIR       = $(TI_C6X_INSTALL_DIR)"
	@echo "CS_ARM_INSTALL_DIR       = $(CS_ARM_INSTALL_DIR)"
	@echo "XDC_INSTALL_DIR          = $(XDC_INSTALL_DIR)"


#  ======== standard macros ========
ifneq (,$(wildcard $(XDC_INSTALL_DIR)/bin/echo.exe))
    # use these on Windows
    CP      = $(XDC_INSTALL_DIR)/bin/cp
    ECHO    = $(XDC_INSTALL_DIR)/bin/echo
    MKDIR   = $(XDC_INSTALL_DIR)/bin/mkdir -p
    RM      = $(XDC_INSTALL_DIR)/bin/rm -f
    RMDIR   = $(XDC_INSTALL_DIR)/bin/rm -rf
else
    # use these on Linux
    CP      = cp
    ECHO    = echo
    MKDIR   = mkdir -p
    RM      = rm -f
    RMDIR   = rm -rf
endif
